> ## Documentation Index
> Fetch the complete documentation index at: https://docs.betterstacks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# update file



## OpenAPI

````yaml put /api/v1/files/{id}
openapi: 3.0.1
info:
  title: API V1
  version: v1
servers:
  - url: https://{defaultHost}
    variables:
      defaultHost:
        default: api.betterstacks.com
  - url: https://betterstacks.com/
    description: Production server
  - url: https://qa.betterstacks.com/
    description: Qa server
security:
  - bearerAuth: []
paths:
  /api/v1/files/{id}:
    parameters:
      - name: id
        in: path
        description: id
        required: true
        schema:
          type: string
    put:
      tags:
        - Files
      summary: update file
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                user_id:
                  type: integer
                link_id:
                  type: integer
                category:
                  type: string
                repository_link_id:
                  type: integer
      responses:
        '200':
          description: successful
        '422':
          description: unprocessable entity
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: apiKey
      name: X-Authorization
      in: header

````